(define-derived-mode beholder-mode tabulated-list-mode "Beholder"
  "Major mode for listing items awaiting action on GitHub."

  (setq tabulated-list-format [("ID" 10 t) ("Title" 40 t) ("URL" 70 t)])
  (setq tabulated-list-padding 2)
  (tabulated-list-init-header)
  (tablist-minor-mode))

(defun beholder ()
  (interactive)
  (pop-to-buffer "*beholder*" nil)
  (beholder-mode)
  (setq tabulated-list-entries '(("#123" ["#123" "My title" "https://one.go"])
                                 ("#231" ["#231" "My second" "https://two.go"])
                                 ("#312" ["#312" "My third" "https://three.go"])))
  (tabulated-list-print t))

(provide 'beholder)
